diff --git a/README.md b/README.md
index 576724106f446aa10cbb3d49db6a99e9c39b4618..2491811ad977fa27da9643eef7a2fb212a57d350 100644
--- a/README.md
+++ b/README.md
@@ -1,2 +1,28 @@
-# ADIOS2
-Next generation of ADIOS developed in the Exascale Computing Program
+# Adaptable Input / Output System (ADIOS) v2.0
+This is v2.0 of the ADIOS I/O system, developed as part of the
+U.S. Department of Energy Exascale Computing Program.
+
+## License
+ADIOS >= 2.0 is licensed under the Apache License v2.0.  See the accompanying
+Copyright.txt for more details.
+
+## Directory layout
+
+* cmake - Project specific CMake modules
+* examples - ADIOS Examples
+* include - Public header files 
+* scripts - Project maintenance and development scripts
+* source - Main ADIOS source
+  * foo - Source and private header files for the "foo" component
+* testing - Tests
+
+## Developers
+
+###Getting started
+
+Upon cloning this repo, you will need to run the scripts/developer/setup.sh
+script.  This will perform the following:
+
+  * Validate that clang-format is available
+  * Setup formatting commit hooks
+
diff --git a/Readme.txt b/Readme.txt
deleted file mode 100644
index c19f2000bb24e2f4788bd2d0a619d40a241c8113..0000000000000000000000000000000000000000
--- a/Readme.txt
+++ /dev/null
@@ -1,29 +0,0 @@
-# Adaptable Input / Output System (ADIOS) v2.0
-
-This is v2.0 of the ADIOS I/O system, developed as part of the DoE. Exascale
-Computing Program.
-
-## License
-ADIOS >= 2.0 is licensed under the Apache License v2.0.  See the accompanying
-Copyright.txt for more details.
-
-## Directory layout
-
-/cmake    : Project specific CMake modules
-/examples : ADIOS Examples
-/include  : Public header files 
-/scripts  : Project maintenance and development scripts
-source    : Main ADIOS source
--- /foo   : Source and private header files for the "foo" component
-testing   : Tests
-
-## Developers
-
-###Getting started
-
-Uppon cloning this repo, you will need to run the scripts/developer/setup.sh
-script.  This will perform the following:
-
-  * Validate that clang-format is available
-  * Setup formatting commit hooks
-
diff --git a/scripts/developer/git/setup-aliases b/scripts/developer/git/setup-aliases
index 11b43d53f0060d90312a33fe8b75b3863742e925..5479ad0dd7ba0e6a620b8edb955bcc0feb1ea1a0 100755
--- a/scripts/developer/git/setup-aliases
+++ b/scripts/developer/git/setup-aliases
@@ -1,13 +1,13 @@
 #!/usr/bin/env bash
 
+echo "Setting up git aliases..."
 if ! which clang-format 2>1 1>/dev/null
 then
   echo "ADIOS development requires clang-format to be available in your path."
   exit 1
 fi
 
-echo "Adding 'git clang-format' alias"
-if ! git config alias.clang-format "!bash scripts/git/git-clang-format"
+if ! git config alias.clang-format "!scripts/developer/git/git-clang-format"
 then
   echo "Error adding clang-format alias"
   exit 2
diff --git a/scripts/developer/setup.sh b/scripts/developer/setup.sh
old mode 100644
new mode 100755
index bd3bed7aec4c84b30efc81a16ee1bf12097f8c95..082cb1257d281c1b0da397b8c5728aa4bffa5129
--- a/scripts/developer/setup.sh
+++ b/scripts/developer/setup.sh
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-test_cmd {
+function test_cmd {
   if ! $1 ;
   then
     echo "Error: $2";
@@ -8,11 +8,11 @@ test_cmd {
   fi
 }
 
-cd "${BASH_SOURCE%/*}"
+cd "${BASH_SOURCE%/*}/../.."
 
-test_cmd scripts/git/setup-alias \
+test_cmd scripts/developer/git/setup-aliases \
   "Failed to setup git aliases" 2
 
-test_cmd scripts/git/setup-hooks \
+test_cmd scripts/developer/git/setup-hooks \
   "Failed to setup git hooks" 1
 git config hooks.clang-format true